Execute semantic-similarity evaluator
curl --request POST \
--url https://api.traceloop.com/v2/evaluators/execute/semantic-similarity \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"completion": "The cat sat on the mat.",
"reference": "A feline was resting on the rug."
}
}
'import requests
url = "https://api.traceloop.com/v2/evaluators/execute/semantic-similarity"
payload = { "input": {
"completion": "The cat sat on the mat.",
"reference": "A feline was resting on the rug."
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
completion: 'The cat sat on the mat.',
reference: 'A feline was resting on the rug.'
}
})
};
fetch('https://api.traceloop.com/v2/evaluators/execute/semantic-similarity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"similarity_score": 0.92
}{
"error": "error message"
}{
"error": "error message"
}Quality & Correctness
Execute semantic-similarity evaluator
Calculate semantic similarity between completion and reference
Request Body:
input.completion(string, required): The completion text to compareinput.reference(string, required): The reference text to compare against
POST
/
v2
/
evaluators
/
execute
/
semantic-similarity
Execute semantic-similarity evaluator
Was this page helpful?
⌘I

